; Instrument-specific parameters for ESI
;
; Gain values assume 2 amps, low gain.  Gains calculated using the
; mean value on the website, and adjusted to reflect a measured ratio
; of 0.93 between the left and right-hand sides.
;
; Assuming the same read noise for both amps.
;
; Break point spacing set in esi_reduce.
;
; traceobj should be set to 1.  Can explicitly turn
; off tracing by setting trace_obj=-1 in the call
; to esi_reduce.
;
nchip         = 1           ; Number of CCDs included in each array
chip_xmin     = [24]        ; Min x for each chip (not including overscan)
chip_xmax     = [2071]      ; Max x for each chip (not including overscan)
chip_ymin     = [0]         ; Min y for each chip (not including overscan)
chip_ymax     = [4095]      ; Max y for each chip (not including overscan)
namp          = 2           ; Number of amplifiers
gain          = [1.34,1.25] ; Gain for each amplifier (e-/ADU)
amp_xmin      = [24,1048]   ; Min x for each amplifier (not including overscan)
amp_xmax      = [1047,2071] ; Max x for each amplifier (not including overscan)
amp_ymin      = [0,0]       ; Min y for each amplifier (not including overscan)
amp_ymax      = [4095,4095] ; Max y for each amplifier (not including overscan)
erdnoise      = 2.7         ; Read noise (e-)
satlevel      = 60000.      ; Saturation level (ADU) 
dispdir       = 'y'         ; Dispersion direction, 'x' or 'y'
prescan_x     = [0,23]      ; [x_min,x_max] of prescan region (-1 = none)
prescan_y     = [0,4095]    ; [y_min,y_max] of prescan region (-1 = none)
oscan_x       = [2072,2231] ; [x_min,x_max] of overscan region (-1 = none)
oscan_y       = [0,4095]    ; [y_min,y_max] of overscan region (-1 = none)
trim          = 0     ; Trim pre/overscan regions before processing (1/0)?
rotate        = 0     ; Rotate frame (90 deg clockwise) before processing?
darkcurrent   = 0.0   ; Dark current (e-/sec/pixel)
badpixelfile  = -1    ; Filename of bad pixel map (-1 = none)
bk_space      = -1    ; Initial spacing of b-spline break points, in input wave units
min_bk_space  = -1    ; Minimum spacing of b-spline break points, in input wave units
slitedge1     = -9000 ; First edge of slit, in slit position coords
slitedge2     = 9000  ; Second edge of slit, in slit position coords
wavemin       = -1e6  ; Min input wavelength over which to locate object
wavemax       = 1e6   ; Max input wavelength over which to locate object
slitmin       = -9000 ; Min input slit position over which to locate object
slitmax       = 9000  ; Max input slit position over which to locate object
sub_width     = 1000. ; Range in slit position over which to perform sky subtraction
dispersion    = 0.2   ; Approximate dispersion, in ang/input wave unit (pixel)
wavebin       = 15.   ; Binning for extracted spectrum (km/s if /loglin is set)
illum_poly    = 2.          ; 1 + polynomial order for slit illumination fn (2 = linear)
x_display     = [1070,2070] ; [xmin,xmax] for display of subtracted array
y_display     = [1400,2000] ; [ymin,ymax] for display of subtracted array
traceobj      = 1           ; Trace object with respect to slit position? (1 = yes)
bestprofile   = 1           ; Estimate object profile using entire spectrum? (1 = yes)
line_file     = '~gdb/calib/hires/linelists/uves_sky_atlas/uves_sky_formatted_strong_red.dat' ; Default sky line list
wave_model    = -1        ; Default tabulated sky model
getsubarray   = 0         ; Extract sub-arrays for output files? (1 = yes)
subarray_x    = [0,2231]  ; [xmin,xmax] of extracted subarray
subarray_y    = [0,4095]  ; [ymin,ymax] of extracted subarray
latitude      = 19.8283   ; Observatory latitude (degrees; Keck = 19.8283)
longitude     = 155.478   ; Observatory longitude (degrees; Keck = 155.478)
altitude      = 4160.     ; Observatory altitude (meters; Keck = 4160.)
